'use strict';

angular.module('app')

.directive('edDisqus', ['utils', function(utils) {
    return {
        restrict: 'E',
        template: '<section id="disqus_container"><div id="disqus_thread"></div></section>',
        replace: true,
        link: function($scope) {
            var disqus_shortname = utils.getSetting('disqusShortname');

            var unbind = $scope.$watch('shareable.share_id', function(shareId, oldShareId) {
                if (shareId && shareId !== oldShareId && ! window.DISQUS) {
                    window.disqus_identifier = shareId;

                    (function() {
                        var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
                        dsq.src = '//' + disqus_shortname + '.disqus.com/embed.js';
                        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
                    })();

                    unbind();
                }
            });
        }
    }
}]);